Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230962 - chkconfig sets setup link order incorrectly in the presence of an LSB block
Summary: chkconfig sets setup link order incorrectly in the presence of an LSB block
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: chkconfig
Version: 4.4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-05 03:54 UTC by Monty Taylor
Modified: 2014-03-17 03:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-09-18 19:36:28 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Monty Taylor 2007-03-05 03:54:34 UTC
Description of problem:

If you have an init script that contains a chkconfig line and an LSB init info
block, chkconfig will install the init script, but will incorrectly make startup
and shutdown links, ignoring any ordering information. 


How reproducible:

Everytime.

Steps to Reproduce:
1. Make an init script with both a chkconfig line and an LSB line. (you can get
one like this from the drbd or the heartbeat source, as an example) For sake of
argument, let's take the one from drbd. The chkconfig line looks like this:
# chkconfig: 345 70 8
2. Install it into /etc/init.d
3. chkconfig --add drbd
4. ls /etc/rc3.d/S70drbd
  
Actual results:

There is nothing there. S99drbd exists instead

Expected results:

The link should be S70drbd

Additional info:

If the ### BEGIN INIT INFO block is removed, and then chkconfig --del drbd ;
chkconfig --add drbd is run, the links are created correctly. 

This is not a problem with drbd. It works for any init script like this.

Comment 1 Bill Nottingham 2007-03-07 20:57:17 UTC
What's the LSB line for the init script look like?

I suspect it has:

# Required-Start:   $network

and you have a NetworkManager init script that starts at 99, and has:

# Provides: $network

Ergo, it's honoring the dependency.




Comment 2 Monty Taylor 2007-03-08 02:46:37 UTC
Unfortunately, no... 

BUT... you made me rethink the situation and I agree now that this is not a bug.
There is no dependency that requires the script to start any earlier than S99,
so that's when it starts. I guess part of me was expecting it to go into the
order soon after its dependencies were satisfied - but that is not the case.

I'll get the initscripts that have been bothering me to get fixed. 

thanks for the response!



Comment 3 Bill Nottingham 2007-03-08 18:53:50 UTC
If there's no dependency, it should start at 50, not 99. Can you attach the script?

Comment 4 Harald Hoyer 2007-03-15 07:15:52 UTC
if there is no dependency, couldn't the old priority information be taken
instead of 50?

Comment 5 Bill Nottingham 2007-03-15 14:07:58 UTC
That was fixed for bug #172599; that should be in the RHEL 5 version.

Comment 6 Bill Nottingham 2007-09-18 19:36:28 UTC
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received the feedback we
requested, we will assume the problem was not reproduceable or has been fixed in
a later update for this product.

Users who have experienced this problem are encouraged to upgrade to the latest
update release, and if this issue is still reproduceable, please contact the Red
Hat Global Support Services page on our website for technical support options:
https://www.redhat.com/support




Note You need to log in before you can comment on or make changes to this bug.